Skip to content
POST/{organizationId}/{mandateId}/donation/donations/list

List donations

Returns a list of donations for a given mandate

Required permissions:

  • mandate.read

  • donation.read

Path Parameters

organizationIdstringrequired
mandateIdstringrequired

Request Body required

Content-Type: application/json

limitintegeroptional

Default: 50

minimum: 0

maximum: 1000

offsetintegeroptional

Default: 0

minimum: 0

maximum: 9007199254740991

returnCountbooleanoptional

Default: false

searchTermstringoptional
includeRevokedbooleanoptional

Default: true

Authentication: X-API-Key

Request

POST/{organizationId}/{mandateId}/donation/donations/list
curl --request POST 'https://cloud.campai.com/api/{organizationId}/{mandateId}/donation/donations/list' \
  --header 'X-API-Key: YOUR_API_KEY' \
  --header 'Content-Type: application/json' \
  --data '{
  "sort": {},
  "limit": 50,
  "offset": 0
}'

Responses

This endpoint returns different response codes based on the request outcome.

200Successful response

Content-Type: application/json

countintegerrequired

minimum: 0

maximum: 9007199254740991

Response

200
{
  "count": 0,
  "donations": [
    {
      "_id": "000000000000000000000001",
      "mandate": "000000000000000000000001",
      "number": "string",
      "numberSort": 1,
      "donator": {
        "name": "string",
        "nameNormalized": "string",
        "nameSort": "string",
        "address": {
          "country": "string",
          "zip": "string",
          "city": "string",
          "addressLine": "string"
        },
        "email": "",
        "account": 1
      },
      "receiptNumbers": [
        "string"
      ],
      "positions": [
        {
          "type": "cash",
          "value": 1,
          "date": "string",
          "description": "string"
        }
      ],
      "confirmationSendMethod": "none",
      "confirmationFile": "string",
      "confirmationFileName": "string",
      "confirmationDispatchStatus": {
        "openedAt": "2026-06-15T22:30:00Z",
        "sentAt": "2026-06-15T22:30:00Z",
        "dispatchedBy": {
          "name": "string",
          "type": "user",
          "userId": "string",
          "image": {
            "resource": "string"
          }
        },
        "sendStatus": "none",
        "sendError": "NO_CREDITS_ENOUGH",
        "sendPrice": 1
      },
      "revokedAt": "2026-06-15T22:30:00Z"
    }
  ]
}

400Invalid input data

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

400
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}

401Authorization not provided

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

401
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}

403Insufficient access

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

403
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}

500Internal server error

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

500
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}